Bug 1290534 - Minor improvements and cleanup for the build system
Minor improvements and cleanup for the build system
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
3.7.6
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Niels de Vos
: Tracking, Triaged
Depends On: 1198849
Blocks: 1225842
  Show dependency treegraph
 
Reported: 2015-12-10 13:01 EST by Michael Adam
Modified: 2016-04-19 03:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.7.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1198849
Environment:
Last Closed: 2016-04-19 03:50:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Adam 2015-12-10 13:01:10 EST
+++ This bug was initially created as a clone of Bug #1198849 +++

Use this bug to file changes that affect the build tools and configuration. Real bugs (problem reports) should have their own bugzilla entry for related patches.

Acceptable changes include:

- improve readability
- minor checkpatch.pl changes
- cleanup in Makefile.am files or configure.ac
- ...

--- Additional comment from Anand Avati on 2015-03-04 17:53:39 EST ---

REVIEW: http://review.gluster.org/9784 (build: adjust checkpatch for HEAD) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-03-04 18:13:04 EST ---

REVIEW: http://review.gluster.org/9803 (build: add more generated files to .gitignore) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-03-04 23:17:47 EST ---

REVIEW: http://review.gluster.org/9784 (build: adjust checkpatch for HEAD.) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-05 16:10:48 EST ---

COMMIT: http://review.gluster.org/9784 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 0bef7717d3100734c6c5a4ba85de7a39e76774db
Author: Michael Scherer <misc@zarb.org>
Date:   Mon Mar 2 16:24:05 2015 +0100

    build: adjust checkpatch for HEAD.
    
    README is called README.md in git HEAD, and we have a directory
    heal.
    
    Change-Id: I2e698b95c6924b5b21aa54257fefd6a6698255ee
    BUG: 1198849
    Signed-off-by: Michael Scherer <misc@zarb.org>
    Reviewed-on: http://review.gluster.org/9784
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

--- Additional comment from Anand Avati on 2015-03-10 11:36:38 EDT ---

COMMIT: http://review.gluster.org/9803 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 4f2b49eefd1a56469770534d7941fa37ae759f11
Author: Niels de Vos <ndevos@redhat.com>
Date:   Wed Mar 4 16:22:39 2015 +0100

    build: add more generated files to .gitignore
    
    Added *_unittest, *.log, *.trs, extras/run-gluster.tmpfiles and
    heal/src/glfsheal. Sorted the list of files to make it easier to modify
    in future.
    
    Change-Id: I0f21a03a89e61f84c6a85c8f1f98712c5819d633
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9803
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Anand Avati on 2015-03-18 06:02:44 EDT ---

REVIEW: http://review.gluster.org/9928 (marker: fix compile time warning on buf arg.) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-18 10:44:00 EDT ---

COMMIT: http://review.gluster.org/9928 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit dbd62a8d2b50392fbed0a0781a4f241dadb8f506
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Wed Mar 18 15:25:08 2015 +0530

    marker: fix compile time warning on buf arg.
    
    Problem:
    marker-quota.c: In function 'mq_inspect_directory_xattr_task':
    marker-quota.c:3451:31: warning: variable 'buf' set but not
    used [-Wunused-but-set-variable]
             struct iatt           buf                          = {0,};
    
    Change-Id: I211378328bdb2509a5d2a186d173f7f30a670c8a
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/9928
    Reviewed-by: Vijaikumar Mallikarjuna <vmallika@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2015-03-19 05:41:33 EDT ---

REVIEW: http://review.gluster.org/9940 (build: let checkpatch check for a trailing dot) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-03-21 06:29:37 EDT ---

REVIEW: http://review.gluster.org/9958 (glupy: correct the definition of GlusterFS in setup.py) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-22 08:21:39 EDT ---

REVIEW: http://review.gluster.org/9963 (build: only include sys/sysctl.h when sysctl() is used) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-03-23 15:28:38 EDT ---

COMMIT: http://review.gluster.org/9963 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 889044594614756243259a22ed1448408a2b33ac
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sun Mar 22 13:17:46 2015 +0100

    build: only include sys/sysctl.h when sysctl() is used
    
    BUG: 1198849
    Change-Id: I9597b4b7f37994865f88b99651ea9ec89787f5cf
    Reported-by: Adam Borowski <kilobyte@angband.pl>
    URL: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=778790
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9963
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Anand Avati on 2015-03-23 16:15:41 EDT ---

COMMIT: http://review.gluster.org/9940 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 2308c07b9d52b28f371388b9393b17508b2ddccd
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Mar 19 10:38:23 2015 +0100

    build: let checkpatch check for a trailing dot
    
    The subject of a patch should not end with a dot (.). It is not common
    to have subjects of emails end with a dot, and neither is it common for
    patches.
    
    Change-Id: Id090241393aee3ca99df4887bdb2d7a7a8913164
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9940
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Ira Cooper <ira@redhat.com>
    Reviewed-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Anand Avati on 2015-03-24 07:20:36 EDT ---

REVIEW: http://review.gluster.org/9958 (glupy: correct the definition of GlusterFS in setup.py) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-25 10:23:20 EDT ---

REVIEW: http://review.gluster.org/9997 (features/ctr: Removing rpc-lib, rpc-xdr and api from CPPFLAGS) posted (#1) for review on master by Anoop C S (achiraya@redhat.com)

--- Additional comment from Anand Avati on 2015-03-25 15:02:31 EDT ---

COMMIT: http://review.gluster.org/9997 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit f64666f113e7f0d3f7061dfed7e6e24928e85161
Author: Anoop C S <achiraya@redhat.com>
Date:   Wed Mar 25 19:51:41 2015 +0530

    features/ctr: Removing rpc-lib, rpc-xdr and api from CPPFLAGS
    
    Changetimerecorder doesn't seem to use rpc-lib, rpc-xdr
    and gfapi in the source. So removing those from Makefile.am
    
    Change-Id: I21c71db6212c10ba3821c6c456958a45c5312d41
    BUG: 1198849
    Signed-off-by: Anoop C S <achiraya@redhat.com>
    Reviewed-on: http://review.gluster.org/9997
    Reviewed-by: Joseph Fernandes <josferna@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

--- Additional comment from Anand Avati on 2015-03-30 03:06:45 EDT ---

REVIEW: http://review.gluster.org/10040 (build: ignore cscope files) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-30 06:04:32 EDT ---

REVIEW: http://review.gluster.org/10040 (build: ignore cscope files) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-30 07:09:30 EDT ---

REVIEW: http://review.gluster.org/10040 (build: ignore cscope files) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-03-30 08:38:13 EDT ---

COMMIT: http://review.gluster.org/9958 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit d2629aef8302c6b7d832063351c0ce1f2f2efbdd
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Sat Mar 21 15:57:13 2015 +0530

    glupy: correct the definition of GlusterFS in setup.py
    
    Change-Id: I31597a623b4ebf3d3129067eb20c661c910b97fe
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/9958
    Reviewed-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2015-03-30 12:44:20 EDT ---

COMMIT: http://review.gluster.org/10040 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 0a3420dbd57361174eb30fc054754f8c5499ecfb
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Mon Mar 30 12:32:27 2015 +0530

    build: ignore cscope files
    
    It is common for developers to use cscope and generate
    these cscope.* files with: cscope -b -q or with some
    other switches of cscope. This patch avoid 'git' to worry
    about the same.
    
    Change-Id: I3525e6f1a36f9800f4c27a2cdc6ea9c668981717
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/10040
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2015-04-01 07:51:24 EDT ---

REVIEW: http://review.gluster.org/10099 (build: sort gitignore entries) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-04-01 13:53:05 EDT ---

REVIEW: http://review.gluster.org/10099 (build: sort gitignore entries) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-04-02 00:00:11 EDT ---

REVIEW: http://review.gluster.org/10099 (build: sort gitignore entries) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-04-06 05:37:41 EDT ---

REVIEW: http://review.gluster.org/10132 (build: add more files to .gitignore) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-04-06 09:00:43 EDT ---

COMMIT: http://review.gluster.org/10132 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit dc128c6bb0f8935e0aaa64602cd8a2dcedaebbf4
Author: Niels de Vos <ndevos@redhat.com>
Date:   Mon Apr 6 15:01:15 2015 +0530

    build: add more files to .gitignore
    
    Change-Id: Icef0d7f443f7caf3aa386d3a6978f98cf3a5a4af
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/10132
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2015-04-06 09:02:18 EDT ---

COMMIT: http://review.gluster.org/10099 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 120cdbf3ba51f493df3bff112a9e21c19349b543
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Mon Mar 30 12:49:13 2015 +0530

    build: sort gitignore entries
    
    Change-Id: I79d315efb47577ab88d090a96df13f1f92ed276c
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/10099
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

--- Additional comment from Anand Avati on 2015-05-21 12:01:53 EDT ---

REVIEW: http://review.gluster.org/10885 (spec: correct the vendor string in spec file) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-05-22 03:37:43 EDT ---

REVIEW: http://review.gluster.org/10885 (spec: correct the vendor string in spec file) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

--- Additional comment from Anand Avati on 2015-05-23 13:45:51 EDT ---

REVIEW: http://review.gluster.org/10897 (build: do not include rpcgen generated files in "make dist") posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-05-23 13:52:15 EDT ---

REVIEW: http://review.gluster.org/10897 (build: do not include rpcgen generated files in "make dist") posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-05-23 14:07:10 EDT ---

REVIEW: http://review.gluster.org/10897 (build: do not include rpcgen generated files in "make dist") posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-05-28 05:35:57 EDT ---

COMMIT: http://review.gluster.org/10885 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit bc33fe3c1621612788cf2f7928178f314a5f25f1
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Thu May 21 21:30:54 2015 +0530

    spec: correct the vendor string in spec file
    
    Change-Id: Id19c973092af506582741887d12fe00c85022f15
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/10885
    Tested-by: NetBSD Build System
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2015-05-31 17:18:52 EDT ---

REVIEW: http://review.gluster.org/11020 (rpm: add option "--with debug" for rpmbuild/mock) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-01 05:18:41 EDT ---

REVIEW: http://review.gluster.org/11020 (rpm: add option "--with debug" for rpmbuild/mock) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-04 19:20:55 EDT ---

REVIEW: http://review.gluster.org/11020 (rpm: add option "--with debug" for rpmbuild/mock) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-06 12:51:15 EDT ---

REVIEW: http://review.gluster.org/11020 (rpm: add option "--with debug" for rpmbuild/mock) posted (#4) for review on master by Vijay Bellur (vbellur@redhat.com)

--- Additional comment from Anand Avati on 2015-06-07 14:33:49 EDT ---

COMMIT: http://review.gluster.org/11020 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit ffe8b4d8149b50df53353bdb85fac1251a85ec2f
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sun May 31 21:50:21 2015 +0200

    rpm: add option "--with debug" for rpmbuild/mock
    
    When passing "--with debug" to mock or rpmbuild, the build process will
    add the "--enable-debug" option to ./configure. This makes it easier
    to build RPMs with debugging enabled.
    
    Change-Id: Ie584a4a03525385b337bbf81e5093f2af1b0b780
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/11020
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Anand Avati on 2015-06-17 17:56:41 EDT ---

REVIEW: http://review.gluster.org/11297 (build: always include the VERSION file in 'make dist') posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-06-28 10:46:58 EDT ---

COMMIT: http://review.gluster.org/11297 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 5f76ff1beaaf1fd1c85c43a166c289f9094a379b
Author: Niels de Vos <ndevos@redhat.com>
Date:   Wed Jun 17 23:33:25 2015 +0200

    build: always include the VERSION file in 'make dist'
    
    Building a 'make dist' tarball from a non-git directory fails to include
    the VERSION file. This subsequently fails to set the version in the
    installation directories (for the xlators) and the RPM packaging can not
    find the correct files.
    
    This change makes sure to include a VERSION file in the 'make dist'
    tarball, no matter from where 'make dist' is run. It mainly addresses
    this use case:
    
       $ git clone ... && cd glusterfs
       $ ./autogen.sh
       $ mkdir /tmp/workdir
       $ cd /tmp/workdir
       $ $OLDPWD/configure
       $ make dist
    
    Change-Id: I3e87b5e16118b68d065fe99790d4b17e0cef9189
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/11297
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>

--- Additional comment from Vijay Bellur on 2015-10-13 07:58:30 EDT ---

REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-15 01:13:31 EDT ---

REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#2) for review on master by Anoop C S (anoopcs@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-15 08:35:07 EDT ---

REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#3) for review on master by Anoop C S (anoopcs@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-17 12:30:09 EDT ---

REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#4) for review on master by Anoop C S (anoopcs@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-28 00:54:48 EDT ---

REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#5) for review on master by Anoop C S (anoopcs@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-03 05:12:10 EST ---

REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#6) for review on master by Anoop C S (anoopcs@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-03 06:51:40 EST ---

REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#7) for review on master by Anoop C S (anoopcs@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-03 08:01:45 EST ---

REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#8) for review on master by Anoop C S (anoopcs@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-23 02:16:05 EST ---

REVIEW: http://review.gluster.org/12714 (build: Remove redundant options from GF_CFLAGS) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-30 07:43:39 EST ---

REVIEW: http://review.gluster.org/12828 (extras: fix deprecation warining in checkpatch.pl) posted (#1) for review on master by Michael Adam (obnox@samba.org)

--- Additional comment from Vijay Bellur on 2015-12-01 12:25:49 EST ---

COMMIT: http://review.gluster.org/12714 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 86701a0ececa5fdbbe08654516618baadc4555b7
Author: Anoop C S <anoopcs@redhat.com>
Date:   Mon Nov 23 12:20:09 2015 +0530

    build: Remove redundant options from GF_CFLAGS
    
    While configuring, GF_CFLAGS is being populated with redudndant
    options as follows:
    
    Normal mode:
    GF_CFLAGS = -g -O2 -g -O2 -Wformat -Werror=format-security \
                -g -O2 -g -O2 -Wformat -Werror=format-security \
                -Werror=implicit-function-declaration
    Debug mode:
    GF_CFLAGS = -g -O2 -g -O0 -DDEBUG -Wformat -Werror=format-security \
                -g -O2 -g -O0 -DDEBUG -Wformat -Werror=format-security \
                -Werror=implicit-function-declaration
    
    This patch is to remove this redundancy of options.
    
    Change-Id: Idf6f2536c2a8ae24ba257681fbe9dfdb8bfa4f19
    BUG: 1198849
    Signed-off-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-on: http://review.gluster.org/12714
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

--- Additional comment from Vijay Bellur on 2015-12-02 07:43:36 EST ---

COMMIT: http://review.gluster.org/12828 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 2e9376a2f1b992d3649dd1d5a8e844b4c031ef3c
Author: Michael Adam <obnox@samba.org>
Date:   Mon Nov 30 13:35:23 2015 +0100

    extras: fix deprecation warining in checkpatch.pl
    
    Left braces in patterns need to be escaped.
    Otherwise, for perl >= 5.16, we get a warning:
    "Unescaped left brace in regex is deprecated, passed through in regex;"
    This patch fixes the relevant braces.
    
    Hence perl -c ./examples/checkpatch.pl is clean again.
    
    Change-Id: I938c9c262239f53de57d30a2cff7030f22e63dc1
    BUG: 1198849
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/12828
    Reviewed-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 1 Vijay Bellur 2015-12-10 13:03:25 EST
REVIEW: http://review.gluster.org/12942 (extras: fix deprecation warining in checkpatch.pl) posted (#1) for review on release-3.7 by Michael Adam (obnox@samba.org)
Comment 2 Vijay Bellur 2016-01-10 05:58:46 EST
COMMIT: http://review.gluster.org/12942 committed in release-3.7 by Niels de Vos (ndevos@redhat.com) 
------
commit bece36718c01b55a659aa1eb32728e5626cde9fe
Author: Michael Adam <obnox@samba.org>
Date:   Mon Nov 30 13:35:23 2015 +0100

    extras: fix deprecation warining in checkpatch.pl
    
    Left braces in patterns need to be escaped.
    Otherwise, for perl >= 5.16, we get a warning:
    "Unescaped left brace in regex is deprecated, passed through in regex;"
    This patch fixes the relevant braces.
    
    Hence perl -c ./examples/checkpatch.pl is clean again.
    
    > Change-Id: I938c9c262239f53de57d30a2cff7030f22e63dc1
    > BUG: 1198849
    > Signed-off-by: Michael Adam <obnox@samba.org>
    > Reviewed-on: http://review.gluster.org/12828
    > Reviewed-by: Anoop C S <anoopcs@redhat.com>
    > Reviewed-by: Niels de Vos <ndevos@redhat.com>
    > Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    
    (cherry picked from commit 2e9376a2f1b992d3649dd1d5a8e844b4c031ef3c)
    
    Change-Id: I2a38e8e2d0652af519bf139ec046edc42c5e5356
    BUG: 1290534
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/12942
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
Comment 3 Kaushal 2016-04-19 03:50:44 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.7, please open a new bug report.

glusterfs-3.7.7 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://www.gluster.org/pipermail/gluster-users/2016-February/025292.html
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.